WPSS Question of the Week

Question of The Week – WordPress Vulnerabilities

This week’s Question is all about WordPress vulnerabilities.

Given all the recent press regarding WordPress vulnerabilities, is it a safe system to use?

Listen to the video for the answer, or read the transcription below.

Hi there and welcome to the question of the week. This week’s question comes from Michelle Collins, who is based in Portugal.

Michelle asks: “Given all the recent press regarding WordPress vulnerabilities, is it a safe system to use?

Michelle, the simple answer is “Yes!”. There is a caveat however and that caveat is you need to make sure that you take proper security precautions, and you need to make sure you keep up to date, just like you would a Windows computer or an Apple Mac computer.

So you need to make sure you are using good strong passwords, and also you’re updating your WordPress core systems, using good plugins that are updated regularly by the developer, and you update those regularly. And really just making sure that you are taking good precautions and completing good housekeeping.  And if you do that on a regular basis, then there’s no reason why your WordPress system would not be safe and secure.

Hope that helps. Thanks and I look forward to answering your next question